/**********************************************************
//	Class Template_Voting
//
//	Server-side class to keep track of votes and
//	change the level accordingly when enough votes
//	have been made.
**********************************************************/
class Template_Voting extends Info
	abstract;

// A struct for voted  information. Index is the index of the voted item
// and Votes is how many votes that item has
struct VoteInformation {
	var int Index;
	var int Votes;
};

var int VotePercent;		// The vote percentage needed for the map to change
var int NumTotal;		// How many items are available
var int ChunkSize;		// The number of items that are sent to the client with each request

var VoteInformation Votes[32];		// Array of vote information. The indexes of each struct in this array
					// are initialized to -1. They stay at -1 until a vote is cast and another
					// index is needed, or they go back to -1 if all votes for a certain item
					// have been revoked.

Event Spawned()
{
	local int i;
	for(i = 0; i < 32; ++i)
		Votes[i].Index = -1;
}

defaultproperties
{
}
